<%@page import="java.io.*,java.util.*,javax.sql.*,java.sql.*,javax.naming.*,java.text.*, m05bClasses.*" %>
<!-- Para poder mostrar caracteres especiales en los mensajes javascript -->
<%@page contentType="text/html; charset=UTF-8" %>

<HTML>

<%	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%>   
	<% } %>
	<%@ include file="/m05bIdioma.inc"%>
		
	<% m05bFileLog miLog = new m05bFileLog();

	String persona = (String) session.getAttribute("persona");
	String sGastosVehiculo="";
	m05bComun miComun = new m05bComun(); 
//sGastosVehiculo = miComun.leerPropiedad("PDF.GastosVehiculos");       
	%>
<head>
		<title><%= resTit.getString("titVehGastos")%></title>
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<!--script language="javascript1.2" src="<%//=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Fechas.js"></script-->
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
	    <script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/formateador.js"></script>
<script>
var numRegistros = 0;

		//<!-- 
   		//Parte AJAX
   		//funcion encargada de crear el objeto 
		var _objetus;
		function objetus() { 
	        try { 
	                objetus = new ActiveXObject("Msxml2.XMLHTTP"); 
	        } catch (e) { 
	                try { 
	                        objetus= new ActiveXObject("Microsoft.XMLHTTP"); 
	                } catch (E) { 
	                        objetus= false; 
	                } 
	        } 
	        if (!objetus && typeof XMLHttpRequest!='undefined') { 
	                objetus = new XMLHttpRequest(); 
	        } 
	        return objetus 
		} 

   //-->
      function crearIniTable(){
   		iniHtml = '<table  width="100%" align="right">';
		iniHtml += 	    '<tr> ';
		iniHtml += 		  '<td class="inputFieldTitle"><%= res.getString("etTarjeta")%></td>';
		iniHtml += 		  '<td  class="inputFieldTitle">&nbsp;C/A&nbsp;</td>';
		iniHtml += 		  '<td  class="inputFieldTitle"><%= res.getString("etConcepto")%></td>';
		//iniHtml +=      '<td  class="inputFieldTitle"><%= res.getString("etNombre")%>&nbsp;<%= res.getString("etComercio")%>&nbsp;&nbsp;&nbsp;</td>';
		iniHtml += 		  '<td  class="inputFieldTitle" colspan="3" ><%= res.getString("etFecha")%></td>';
		//iniHtml += 		  '<td  class="inputFieldTitle"><%= res.getString("etImporte")%></td>';
		iniHtml += 		  '<td  class="inputFieldTitle"><%= res.getString("etKm")%></td>';
		//iniHtml += 		  '<td  class="inputFieldTitle"><%= res.getString("etLitros")%></td>';
		iniHtml += 		  '<td  class="inputFieldTitle"><%= res.getString("etVerificado")%></td>';
		iniHtml += 		  '<td  class="inputFieldTitle"><%= res.getString("etBaja")%></td>';
		iniHtml += 		  '<td  CLASS="listCellHidden" width="0%"></td>';
		iniHtml += 		'</tr>';
		iniHtml += 	    '<tr></tr>';
		return iniHtml;
   }
      function crearEspera(){
   		estiloEspera = "{background=#CC3333;font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 14px; color: white; font-weight: bold; border: thin #336699 solid}";
   		iniHtml = '<tr height="100%" valign="top" id="linea1" align="center">';
		iniHtml+=	     '<td colspan="10" >';
		iniHtml+=           '<center><table width="20%" height="100%" style="'+estiloEspera+'" border="0" cellspacing="0" cellpadding="0" align="center"><tr height="100%"><td align="center">CARGANDO </td></tr></table></center>';
		iniHtml+=	     '</td>';		        		   
	    iniHtml+= '</tr>';
	    return iniHtml;
   }
   
   
   function espera(){
   		document.getElementById("capaGastosHtml").innerHTML = "";
   		iniHtml = crearIniTable();
	    iniHtml += crearEspera();
	    iniHtml += crearFinTable();
	    document.getElementById("capaGastosHtml").innerHTML = iniHtml;	
   }   
   
   function vacio(){
   		document.getElementById("capaGastosHtml").innerHTML = "";
   		iniHtml = crearIniTable();
	    iniHtml += crearFinTable();
	    document.getElementById("capaGastosHtml").innerHTML = iniHtml;	
   }      
   
      function crearFinTable(){
   		iniHtml = '</table>';
		return iniHtml;
   }
   function muestraCapaFondo(){
   		document.getElementById("capaFondo").style.width=screen.width+"px";
   		document.getElementById("capaFondo").style.height=screen.height+"px";
   		document.getElementById("capaFondo").style.visibility="visible";
   }

   function ocultaCapaFondo(){
   		document.getElementById("capaFondo").style.width="0px";
   		document.getElementById("capaFondo").style.height="0px";
   		document.getElementById("capaFondo").style.visibility="hidden";
   }

    function crearLinea(tarjeta,cargo,concepto,tipog,ncomercio,fecha,hora,km,verificado,control,i){

   		linea='';

   		linea+='<tr valign="center" id="linea'+i+'"  align="center">';
		linea+='<td class="inputFieldTitleBlank"><input type="hidden" name="Codigo' + i + '" value="' + control + '" ><input type="hidden" name="Tarjeta' + i + '" value="' + tarjeta + '" >'+tarjeta+'</td>';
		linea+=          '<td  class="inputFieldTitleBlank">'+cargo+ '</td>';
		linea+=          '<td  class="inputFieldTitleBlank">'+concepto+ '</td>';
		//linea+=          '<td  class="inputFieldTitleBlank">'+ncomercio+ '</td>';
		linea+=        '<td ><INPUT class="inputField"  TYPE="TEXT"  name="Fecha' + i + '" value="' + fecha + '" size="10" maxlength="10" onblur="javascript:document.formSolicitud.chGrabar' + i+'.checked=true;formatearFecha(this);if (esVacio(this.value)){alert(dameAlerta(idioma, 0));} return false;"></td>';
		//linea+=    '<td align="left" ><a href="#" name="anchorFecha' + i + '" onClick="'+'JavaScript:showCalendar('+"'anchorFecha"+ i + "' ,'"+idioma+"',document.all('Fecha'"+ i + "),true,200,200,2002);return false;' onMouseOver='top.status='Ver Calendario'; return true onMouseOut="+'"top.status='+"''; return true"+'"'+ '><img border="0" src='+"'<%=m05bConstantesPaginas.PATH_IMAGENES%>/p01calendario.gif"+"'"+" /></a></td>";
        linea+=             '<td align="left" ><a href="#" name="anchorFecha' + i + '"  onClick="JavaScript:showCalendar('+"'anchorFecha"+i+"','"+idioma+"',document.all('Fecha"+i+"'),true,200,200,2002);return false;"+'" onMouseOver="top.status='+"'Ver Calendario'; return true"+'" onMouseOut="top.status='+"''; return true"+'" ><img border="0" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/p01calendario.gif" /></a></td>'		
		linea+=          '<td ><INPUT class="inputField"  TYPE="TEXT"  name="Hora' + i + '" value="' + hora + '" size="5" maxlength="5" onblur="javascript:document.formSolicitud.chGrabar' + i+'.checked=true;formatearHora(this);if (esVacio(this.value)){alert(dameAlerta(idioma, 0));}return false;"></td>';
		//linea+=          '<td  class="inputFieldTitleBlank" style="text-align: right">'+importe+ '</td>';
		if ((tipog=="C")||(tipog=="V"))
		{
		linea+=          '<td ><INPUT class="inputField"  TYPE="TEXT" NAME="Km' + i+ '" VALUE="'+km+'" size="8" maxlength="7" onblur="javascript:if (fncComprobarKm(this,document.formSolicitud.Fecha'+i+'.value)){document.formSolicitud.chGrabar' + i+'.checked=true;} formatNumero(this);if (esVacio(this.value)){alert(dameAlerta(idioma, 0));}return false;"/></td>';
		//linea+=          '<td ><INPUT class="inputField" TYPE="TEXT" NAME="Litros'+ i+'" VALUE="'+litros+'" size="9" maxlength="9" onblur="javascript:document.formSolicitud.chGrabar' + i+'.checked=true; formatNumeroDecimal(this,6,2);return false;"/></td>';
		}
		if ((tipog!="C") && (tipog!="V"))
		{
		linea+=          '<td ><INPUT TYPE="HIDDEN" class="inputField" size="8" TYPE="TEXT" NAME="Km'+ i + '" VALUE="0"/></td>';
		//linea+=          '<td ><INPUT TYPE="HIDDEN" class="inputField" size="9" TYPE="TEXT" NAME="Litros'+ i + '" VALUE="0"/></td>';
		}
		if (verificado=="S")
		{
		linea+=          '<td><input type="checkbox" name="chVerif' + i+'" class="inputFieldTitle" width="2%" onclick="javascript:document.formSolicitud.chGrabar' + i+'.checked=true;" checked ></td>'	;	
		}else{
		linea+=          '<td><input type="checkbox" name="chVerif' + i+'" class="inputFieldTitle" width="2%" onclick="javascript:document.formSolicitud.chGrabar' + i+'.checked=true;" ></td>'	;	
		}
		linea+=          '<td><input type="checkbox" name="chBaja' + i+'" class="inputFieldTitle" width="2%" onclick="javascript:document.formSolicitud.chGrabar' + i+'.checked=true;"  ></td>'	;	
   		linea+=          '<td width="0%" class="listCellHidden"> <input name="chGrabar'+ i + '"   type="checkbox" class="inputFieldTitle"  ></td>';    				
        linea+=	  		'</tr>';
         return linea;		
		
}
		
   
   function anadirGastos(){
      		var tipo="";
		var orden="";
		var docu=document.formSolicitud;
		   if (docu.Matricula.value=="")
		   {   
			  alert(dameAlerta(idioma, 92));
			  docu.CMatricula.focus();
			  return;
	        }
			if (docu.Tipo[0].checked) {
				tipo="T";
			} else  {
				tipo="NV";
		    }
			if (docu.Orden[0].checked) {
			    orden="ASC";
			} else  {
				orden="DESC";
			}
					
        var htmlIni = document.getElementById("capaGastosHtml").innerHTML;
   		//creamos el objeto 
	    if(_objetus==null){
	    	_objetus=new objetus(); 
	    }
	    //cargamos una varible con las variables que vamos a enviar 
	    //_values_send2=fncConstruirParametrosConceptos();
	    _values_send="accion=ANADIR&Matricula="+document.formSolicitud.Matricula.value+"&Tipo="+tipo+"&Orden="+orden; 
    	_URL_="m05bGastosTarjNuevoServlet?" ; 
    	espera(); 
    	muestraCapaFondo();
        ;
 
    	//_objetus.open("GET",_URL_+_values_send+_values_send2,true); 
    	_objetus.open("GET",_URL_+_values_send,true); 
        //una vez enviado los valores inmediatamente llamamos a la propiedad 
        //onreadystatechange 
    	_objetus.onreadystatechange=function() { 
	        //dentro de la funcion comprobamos el estado del proceso 
	        //si es 4 (terminado) pedimos lo que nos han mandado 
	        if (_objetus.readyState==4) 
	        { 
	            //usamos la propiedad responseText para recibir en una cadena 
	            //lo que nos mandaron 
	        	//document.formulario.xml.value = _objetus.responseText;
	            var respXML = _objetus.responseXML; 
	 	            var tipo = respXML.getElementsByTagName('tipo')[0]; 
		            if(tipo.firstChild.data=="OK"){	            	
		            //Borramos el contenido de la capa
		            var html = "";
		            html=crearIniTable();
		            var gastos = respXML.getElementsByTagName('gasto')
		            numRegistros=gastos.length;
		            for(i=0;i<numRegistros;i++){
		            				            var gasto = gastos[i];
			           // var _entradaSalida = acuse.getElementsByTagName('entradaSalida')[0];  
			            var _tarjeta = gasto.getElementsByTagName('tarjeta')[0];  
						var _cargo = gasto.getElementsByTagName('cargo')[0];
						var _concepto = gasto.getElementsByTagName('concepto')[0];  
						var _tipog = gasto.getElementsByTagName('tipog')[0];  
			            var _ncomercio = gasto.getElementsByTagName('ncomercio')[0];  
						var _fecha = gasto.getElementsByTagName('fecha')[0];
                        document.formSolicitud.FechaAux.value=_fecha.firstChild.data;
                        if (document.formSolicitud.FechaAux.value=="-")
                            document.formSolicitud.FechaAux.value="";                							
						var _hora = gasto.getElementsByTagName('hora')[0];
                        document.formSolicitud.HoraAux.value=_hora.firstChild.data;
                        if (document.formSolicitud.HoraAux.value=="-")
                            document.formSolicitud.HoraAux.value="";                							
						var _km = gasto.getElementsByTagName('km')[0];						
						var _litros = gasto.getElementsByTagName('litros')[0];
						var _importe = gasto.getElementsByTagName('importe')[0];
                        document.formSolicitud.ImporteAux.value=_importe.firstChild.data;
                        if (document.formSolicitud.ImporteAux.value=="-")
                            document.formSolicitud.ImporteAux.value="";                        
                        formatNumeroDecimalConSigno(document.formSolicitud.ImporteAux,10,2);
                        document.formSolicitud.KmAux.value=_km.firstChild.data;
                        if (document.formSolicitud.KmAux.value=="-")
                            document.formSolicitud.KmAux.value="";                        
                        formatNumero(document.formSolicitud.KmAux);
                        document.formSolicitud.LitrosAux.value=_litros.firstChild.data;
                        if (document.formSolicitud.LitrosAux.value=="-")
                            document.formSolicitud.LitrosAux.value="";
                        formatNumeroDecimal(document.formSolicitud.LitrosAux,6,2);
						var _verifi = gasto.getElementsByTagName('verifi')[0];
						var _control = gasto.getElementsByTagName('control')[0];
						html+=crearLinea(_tarjeta.firstChild.data,_cargo.firstChild.data,_concepto.firstChild.data,_tipog.firstChild.data,_ncomercio.firstChild.data,document.formSolicitud.FechaAux.value,document.formSolicitud.HoraAux.value,document.formSolicitud.KmAux.value, _verifi.firstChild.data,_control.firstChild.data,i);
					}
					//Asignamos contenido de la capa
					
					html+='   <input type="hidden" name="numeroTotReg" value="'+numRegistros+'" />';
					document.formSolicitud.NRegistros.value=numRegistros;
					html += crearFinTable();
					document.getElementById("capaGastosHtml").innerHTML=html;
		        	//Quito la capa de obteniendo datos y habilito
		       		ocultaCapaFondo();

		       		return;
		       }else{
   				    alert(dameAlerta(idioma, 57));
		       		//Quito la capa de obteniendo datos y habilito
		       		document.getElementById("capaGastosHtml").innerHTML= "";
		       		ocultaCapaFondo();
		       		vacio();
		       		return;
					
					}

	            }

	        } 
     
    	//obligatorio .... luego explicarè el porque 
    	_objetus.send(null);
   }



   function anadirGastosNuevo(){
      		var tipo="";
		var orden="";
		var docu=document.formSolicitud;
		   if (docu.Matricula.value=="")
		   {   
			  alert(dameAlerta(idioma, 92));
			  docu.CMatricula.focus();
			  return;
	        }
			if (docu.Tipo[0].checked) {
				tipo="T";
			} else  {
				tipo="NV";
		    }
			if (docu.Orden[0].checked) {
			    orden="ASC";
			} else  {
				orden="DESC";
			}
					
        var htmlIni = document.getElementById("capaGastosHtml").innerHTML;
   		//creamos el objeto 
	    if(_objetus==null){
	    	_objetus=new objetus(); 
	    }
	    //cargamos una varible con las variables que vamos a enviar 
	    //_values_send2=fncConstruirParametrosConceptos();
	    _values_send="accion=RECUPERAR2&Matricula="+document.formSolicitud.Matricula.value+"&Tipo="+tipo+"&Orden="+orden; 
    	_URL_="m05bGastosTarjNuevoServlet?" ; 
    	espera(); 
    	muestraCapaFondo();
        ;
 
    	//_objetus.open("GET",_URL_+_values_send+_values_send2,true); 
    	_objetus.open("GET",_URL_+_values_send,true); 
        //una vez enviado los valores inmediatamente llamamos a la propiedad 
        //onreadystatechange 
    	_objetus.onreadystatechange=function() { 
	        //dentro de la funcion comprobamos el estado del proceso 
	        //si es 4 (terminado) pedimos lo que nos han mandado 
	        if (_objetus.readyState==4) 
	        { 
	            //usamos la propiedad responseText para recibir en una cadena 
	            //lo que nos mandaron 
	        	//document.formulario.xml.value = _objetus.responseText;
	            var respXML = _objetus.responseXML; 
	 	            var tipo = respXML.getElementsByTagName('tipo')[0]; 
		            if(tipo.firstChild.data=="OK"){	            	
		            //Borramos el contenido de la capa
		            var html = "";
		            html=crearIniTable();
		            var gastos = respXML.getElementsByTagName('gasto')
		            numRegistros=gastos.length;
		            for(i=0;i<numRegistros;i++){
			            var gasto = gastos[i];
			           // var _entradaSalida = acuse.getElementsByTagName('entradaSalida')[0];  
			            var _tarjeta = gasto.getElementsByTagName('tarjeta')[0];  
						var _cargo = gasto.getElementsByTagName('cargo')[0];
						var _concepto = gasto.getElementsByTagName('concepto')[0];  
						var _tipog = gasto.getElementsByTagName('tipog')[0];  
			            var _ncomercio = gasto.getElementsByTagName('ncomercio')[0];  
						var _fecha = gasto.getElementsByTagName('fecha')[0];
                        document.formSolicitud.FechaAux.value=_fecha.firstChild.data;
                        if (document.formSolicitud.FechaAux.value=="-")
                            document.formSolicitud.FechaAux.value="";                						
						var _hora = gasto.getElementsByTagName('hora')[0];
                        document.formSolicitud.HoraAux.value=_hora.firstChild.data;
                        if (document.formSolicitud.HoraAux.value=="-")
                            document.formSolicitud.HoraAux.value="";                							
						var _km = gasto.getElementsByTagName('km')[0];						
						var _litros = gasto.getElementsByTagName('litros')[0];
						var _importe = gasto.getElementsByTagName('importe')[0];
                        document.formSolicitud.ImporteAux.value=_importe.firstChild.data;
                        if (document.formSolicitud.ImporteAux.value=="-")
                            document.formSolicitud.ImporteAux.value="";                        
                        formatNumeroDecimalConSigno(document.formSolicitud.ImporteAux,10,2);
                        document.formSolicitud.KmAux.value=_km.firstChild.data;
                        if (document.formSolicitud.KmAux.value=="-")
                            document.formSolicitud.KmAux.value="";                        
                        formatNumero(document.formSolicitud.KmAux);
                        document.formSolicitud.LitrosAux.value=_litros.firstChild.data;
                        if (document.formSolicitud.LitrosAux.value=="-")
                            document.formSolicitud.LitrosAux.value="";
                        formatNumeroDecimal(document.formSolicitud.LitrosAux,6,2);
						var _verifi = gasto.getElementsByTagName('verifi')[0];
						var _control = gasto.getElementsByTagName('control')[0];
						html+=crearLinea(_tarjeta.firstChild.data,_cargo.firstChild.data,_concepto.firstChild.data,_tipog.firstChild.data,_ncomercio.firstChild.data,document.formSolicitud.FechaAux.value,document.formSolicitud.HoraAux.value,document.formSolicitud.KmAux.value, _verifi.firstChild.data,_control.firstChild.data,i);
					}
					//Asignamos contenido de la capa
					
					html+='   <input type="hidden" name="numeroTotReg" value="'+numRegistros+'" />';
					document.formSolicitud.NRegistros.value=numRegistros;
					html += crearFinTable();
					document.getElementById("capaGastosHtml").innerHTML=html;
		        	//Quito la capa de obteniendo datos y habilito
		       		ocultaCapaFondo();

		       		return;
		       }else{
   				    alert(dameAlerta(idioma, 57));
		       		//Quito la capa de obteniendo datos y habilito
		       		document.getElementById("capaGastosHtml").innerHTML= "";
		       		ocultaCapaFondo();
		       		vacio();
		       		return;
					
					}

	            }

	        } 
     
    	//obligatorio .... luego explicarè el porque 
    	_objetus.send(null);
   }

   function cargaTabla(Tipo2,Orden2){
       	var tipo="";
		var orden="";
		var docu=document.formSolicitud;
        if (Tipo2=="T"){
           docu.Tipo[0].checked=true;
           docu.Tipo[1].checked=false;
        }else{
            docu.Tipo[1].checked=true;
            docu.Tipo[0].checked=false;            
        }		

        if (Orden2=="ASC"){
            docu.Orden[0].checked=true;
            docu.Orden[1].checked=false;
        }else{
            docu.Orden[0].checked=false;
            docu.Orden[1].checked=true;
       }        
			if (docu.Tipo[0].checked) {
				tipo="T";
			} else  {
				tipo="NV";
		    }
			if (docu.Orden[0].checked) {
			    orden="ASC";
			} else  {
				orden="DESC";
			}		

   		var htmlIni = document.getElementById("capaGastosHtml").innerHTML;
   		//creamos el objeto 
	    if(_objetus==null){
	    	_objetus=new objetus(); 
	    }
	    //cargamos una varible con las variables que vamos a enviar 
	    _values_send="accion=RECUPERAR&Matricula="+ document.formSolicitud.Matricula.value+"&Tipo="+tipo+"&Orden="+orden; 
    	_URL_="m05bGastosTarjNuevoServlet?" ; 
    	espera();
    	muestraCapaFondo();
          _objetus.open("GET",_URL_+_values_send,true); 
        //una vez enviado los valores inmediatamente llamamos a la propiedad 
        //onreadystatechange 
    	_objetus.onreadystatechange=function() { 
	        //dentro de la funcion comprobamos el estado del proceso 
	        //si es 4 (terminado) pedimos lo que nos han mandado 
	        if (_objetus.readyState==4) 
	        { 
	            //usamos la propiedad responseText para recibir en una cadena 
	            //lo que nos mandaron 
	        	//document.formulario.xml.value = _objetus.responseText;
	            var respXML = _objetus.responseXML; 
	            var tipo = respXML.getElementsByTagName('tipo')[0]; 
	            if(tipo.firstChild.data=="OK"){	        
		            //Borramos el contenido de la capa
		            var html = "";		            
		            html=crearIniTable();
		            var gastos = respXML.getElementsByTagName('gasto')
		            numRegistros=gastos.length;
                      for(i=0;i<numRegistros;i++){
			            var gasto = gastos[i];
			            var _tarjeta = gasto.getElementsByTagName('tarjeta')[0];  
						var _cargo = gasto.getElementsByTagName('cargo')[0];
						var _concepto = gasto.getElementsByTagName('concepto')[0];  
						var _tipog = gasto.getElementsByTagName('tipog')[0];  
			            var _ncomercio = gasto.getElementsByTagName('ncomercio')[0];  
						var _fecha = gasto.getElementsByTagName('fecha')[0];
				        document.formSolicitud.FechaAux.value=_fecha.firstChild.data;
                        if (document.formSolicitud.FechaAux.value=="-")
                            document.formSolicitud.FechaAux.value="";     						
						var _hora = gasto.getElementsByTagName('hora')[0];
				        document.formSolicitud.HoraAux.value=_hora.firstChild.data;
                        if (document.formSolicitud.HoraAux.value=="-")
                            document.formSolicitud.HoraAux.value="";     												
						var _km = gasto.getElementsByTagName('km')[0];						
						var _litros = gasto.getElementsByTagName('litros')[0];
						var _importe = gasto.getElementsByTagName('importe')[0];
				        document.formSolicitud.ImporteAux.value=_importe.firstChild.data;
                        if (document.formSolicitud.ImporteAux.value=="-")
                            document.formSolicitud.ImporteAux.value="";                        
                        formatNumeroDecimalConSigno(document.formSolicitud.ImporteAux,10,2);
                        document.formSolicitud.KmAux.value=_km.firstChild.data;
                        if (document.formSolicitud.KmAux.value=="-")
                            document.formSolicitud.KmAux.value="";                        
                        formatNumero(document.formSolicitud.KmAux);
                        document.formSolicitud.LitrosAux.value=_litros.firstChild.data;
                        if (document.formSolicitud.LitrosAux.value=="-")
                            document.formSolicitud.LitrosAux.value="";
                        formatNumeroDecimal(document.formSolicitud.LitrosAux,6,2);
						var _verifi = gasto.getElementsByTagName('verifi')[0];
						var _control = gasto.getElementsByTagName('control')[0];
						html+=crearLinea(_tarjeta.firstChild.data,_cargo.firstChild.data,_concepto.firstChild.data,_tipog.firstChild.data,_ncomercio.firstChild.data,document.formSolicitud.FechaAux.value,document.formSolicitud.HoraAux.value,document.formSolicitud.KmAux.value, _verifi.firstChild.data,_control.firstChild.data,i);
					}
					 //var _matricula = respXML.getElementsByTagName('matricula')[0]; 
					 //alert(_matricula.firstChild.data);
					 //document.formSolicitud.Matricula.value=_matricula.firstChild.data;
					 //document.formSolicitud.CMatricula.value=_matricula.firstChild.data;
					 //alert(document.formSolicitud.Matricula.value);
					//Asignamos contenido de la capa
					html+='   <input type="hidden" name="numeroTotReg" value="'+numRegistros+'" />';
					html += crearFinTable();
					document.formSolicitud.NRegistros.value=numRegistros;
					
					document.getElementById("capaGastosHtml").innerHTML=html;
		        	//Quito la capa de obteniendo datos y habilito
		       		ocultaCapaFondo();
		       		//var bIgual=false;
		       		  //alert(document.formSolicitud.CMatricula.length);
		       		  //for (var opcombo=0;((opcombo < document.formSolicitud.CMatricula.length) && (!bIgual));opcombo++){ 
                         //var pos=document.formSolicitud.CMatricula[opcombo].text.indexOf(Matricula);
                         //if (pos>=0){
                              //alert(opcombo);
                              //document.formSolicitud.CMatricula.selectedIndex=opcombo; 
          	           		   //

          	             //}
          	        //}
          	        
                    document.formSolicitud.CMatricula.selectedIndex=document.formSolicitud.CCMatricula.value; 
                    document.formSolicitud.CMatricula.focus();
                    document.formSolicitud.CMatricula.options[document.formSolicitud.CCMatricula.value].selected=true;
                    fncRecogerSelect(document.formSolicitud.CMatricula.options[document.formSolicitud.CMatricula.selectedIndex].value);


                   
                    

                    //numRegistros2=document.formSolicitud.chkBoxG.length;
                    //for(n=0;(n<numRegistros2);n++){
                       //document.formSolicitud.chkBoxGI[n].checked=false;
                       //document.formSolicitud.chkBoxG[n].checked=false;
                    //}
                    //var sItem=null;
                    //sItem = Conceptos.split(",");
                    //var bIgual=false;
                    //for(b=0;b<sItem.length;b++){
                       //bIgual=false;
                       //for(n=0;((n<numRegistros2)&& (!bIgual));n++){
                            //var pos=document.formSolicitud.chkBoxGI[n].value.indexOf(sItem[b]);
                            //if (pos>=0){
                             //document.formSolicitud.chkBoxG[n].checked=true;
                             //document.formSolicitud.chkBoxGI[n].checked=true;
                             //bIgual=true;
                        //}
                       //}
                    //}
                    
                    document.formSolicitud.CMatricula.selectedIndex=document.formSolicitud.CCMatricula.value; 
                    document.formSolicitud.CMatricula.focus();
                    document.formSolicitud.CMatricula.options[document.formSolicitud.CCMatricula.value].selected=true;
                    fncRecogerSelect(document.formSolicitud.CMatricula.options[document.formSolicitud.CMatricula.selectedIndex].value);

                 
                    
 
		       		return;
		       }else{
		       		document.getElementById("capaGastosHtml").innerHTML= htmlIni;
		    		//alert("<%//= res.get("jsplAlertErrorAct")%>");		       			
		       		//Quito la capa de obteniendo datos y habilito
		       		ocultaCapaFondo();
                    
                    document.formSolicitud.CMatricula.selectedIndex=document.formSolicitud.CCMatricula.value; 
                    document.formSolicitud.CMatricula.focus();
                    document.formSolicitud.CMatricula.options[document.formSolicitud.CCMatricula.value].selected=true;
                    fncRecogerSelect(document.formSolicitud.CMatricula.options[document.formSolicitud.CMatricula.selectedIndex].value);		       		
		       		return;
		       }
	        } 
    	} 
    	//obligatorio .... luego explicarè el porque 
    	_objetus.send(null);
   }


   


   function crearInicializaTable(){
   
   		iniHtml = '<tr valign="top" id="linea1" align="center">';
   		iniHtml+=	     '<td  colspan="11">';
		iniHtml+=           '<center>HOLA</center>';
		iniHtml+=	     '</td>';		        		   
	    iniHtml+= '</tr>';
	    return iniHtml;
   }
 
   
      function enviarDatos(){
      	if (document.formSolicitud.Matricula.value=="")
		   {   
			  alert(dameAlerta(idioma, 92));
			  document.formSolicitud.CMatricula.focus();
			  return;
	        }
	    //fncConstruirParametrosConceptos();
   		document.formSolicitud.accion.value="GUARDAR";
   		document.formSolicitud.submit();
   }
   
       function enviarDatosNuevo(){
      	if (document.formSolicitud.Matricula.value=="")
		   {   
			  alert(dameAlerta(idioma, 92));
			  document.formSolicitud.CMatricula.focus();
			  return;
	        }
	    //fncConstruirParametrosConceptos();
        document.formSolicitud.accion.value="RECUPERAR";
        document.formSolicitud.submit();					    	
   }
function fncRecogerSelect(sValor){
       var Matricula, Situacion,KmActuales,Rango;
        sItem = sValor.split("@");
        Matricula=sItem[0];
        Situacion=sItem[1];
        KmActuales=sItem[2];
        FKmActuales=sItem[3];
        Rango=sItem[4];
        document.formSolicitud.MatriculaAnt.value=document.formSolicitud.Matricula.value;
        document.formSolicitud.Matricula.value=Matricula;
        document.formSolicitud.CCMatriculaAnt.value=document.formSolicitud.CCMatricula.value
        document.formSolicitud.CCMatricula.value=document.formSolicitud.CMatricula.selectedIndex ;
        document.formSolicitud.Situacion.value=Situacion;
        document.formSolicitud.KmActuales.value=KmActuales;
        document.formSolicitud.KmA.value=KmActuales;
        document.formSolicitud.Rango.value=Rango;
        formatNumero(document.formSolicitud.KmA);
        document.formSolicitud.FKmA.value=FKmActuales;
}

/*function fncConstruirParametrosConceptos(){
        var Parametros="";
        var Conceptos="";
        numRegistros2=document.formSolicitud.chkBoxG.length;
        Parametros+="&Conceptos=";
        for(n=0;n<numRegistros2;n++){
          if (document.formSolicitud.chkBoxG[n].checked==true){
           if (n==0){
               //Parametros+="'"+document.formSolicitud.chkBoxG[n].value+"'";
               Parametros+="'"+document.formSolicitud.chkBoxGI[n].value+"'";
               Conceptos+=""+document.formSolicitud.chkBoxGI[n].value+"";
               
           }else{
               if (Parametros=="&Conceptos="){
                   //Parametros+="'"+document.formSolicitud.chkBoxG[n].value+"'";
                   Parametros+="'"+document.formSolicitud.chkBoxGI[n].value+"'";
                    Conceptos+=""+document.formSolicitud.chkBoxGI[n].value+"";
               }else{
                   //Parametros+=",'"+document.formSolicitud.chkBoxG[n].value+"'";     
                   Parametros+=",'"+document.formSolicitud.chkBoxGI[n].value+"'";
                   Conceptos+=","+document.formSolicitud.chkBoxGI[n].value+"";                                   
               }   
           }        
           
          }
       }
       Parametros+="";
       document.formSolicitud.Conceptos.value=Conceptos;
       return Parametros;
 }*/

function fncComprobarKm(Objeto,fec){
if (document.formSolicitud.Situacion.value!="B"){
    sValor=trimPointers(Objeto.value);
    if (sValor==""){
        sValor=0;
    }
    var valor=document.formSolicitud.KmActuales.value;
      kmComparaKmActual(document.formSolicitud.KmActuales.value,sValor,document.formSolicitud.FKmA.value,fec);
      if ((sValor-document.formSolicitud.KmActuales.value)>20000){
        var msg = "Los kilómetros recorridos son superiores a 20.000\n    Kilómetros Actuales: " + valor +"\n    Nuevos Kilmetros Actuales: " + sValor +"\nEst seguro de los Kilmetros que ha introducido?";
        if (!confirm (msg)){
				Objeto.focus();
		        return false;
         }else{
         formatNumero(Objeto);
 	   }
      formatNumero(Objeto);
     }
}
return true;
}
   
   function limpiar(){
   		document.formSolicitud.submit();
   }


   function deshabilitaPostGrabar(){
   		document.formSolicitud.<%= res.getString("etBOT_GRABAR")%>.disabled=true;
   		document.formSolicitud.<%= res.getString("etBOT_BUSCAR")%>.disabled=true;
   	    
   		numRegistros1=document.formSolicitud.NRegistros.value;
    		for(i=1;i<=numRegistros1;i++){   	
	   		document.formSolicitud.getElementById("Km"+i).readOnly=true;
	   		document.formSolicitud.getElementById("Litros"+i).readOnly=true;
	   	}
	    //numRegistros2=document.formSolicitud.NConceptos.value;
	    
        //for(n=0;n<numRegistros2;n++){
           //document.formSolicitud.chkBoxG[n].disabled=true;	    
        //}
  
         document.formSolicitud.CMatricula.disbled=true;
         document.formSolicitud.Tipo[0].disbled=true;
         document.formSolicitud.Tipo[1].disbled=true;
         document.formSolicitud.Orden[0].disbled=true;
         document.formSolicitud.Orden[1].disbled=true;
   }
   
</script>	
</head>
<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
<div id='p01popUpWindowCalendar' style='position:relative; top:15px left:150px'></div>
<%
StringBuffer sql2= new StringBuffer();
java.sql.Connection conexion=null;
//java.sql.Statement pstmtConceptos=null;    
//ResultSet rsConceptos = null;	     
m05bCombo miCombo = new m05bCombo(); 
String sFecKmNue="";
String sKmNue="";
  
//sql2.append("SELECT ").append(m05bConstantes.COL_99_DESCRIPCION).append(" , ").append(m05bConstantes.COL_99_CODDESC).append(" FROM ");
//sql2.append(m05bConstantes.TAB_DESCRIPCIONES).append(" WHERE ");
//sql2.append(m05bConstantes.COL_99_CODTABLA).append("=").append(m05bConstantes.DESC_CONCEPTOSGASTOS);					
//miLog.addTraza(persona , "m05bVehGastos" , "sql2: " + sql2.toString(), m05bConstantes.LOG_NIVEL_BAJO);
%>	
	            
<div id='p01popUpWindowCalendar' style='position:relative; top:15px left:150px'></div>
 <SCRIPT language=JavaScript>
	var urlIdioma;		//URL recarga en funcion del idioma
	 urlIdioma = "<%=m05bConstantesPaginas.VEH_GESTION_GASTOS_EXT%>";
	var rutaCabecera;	//Camino de migas
	<% String ruta="/m05bParqueMovilWar/m05bVehGastosExtJsp.jsp" ; %>
	rutaCabecera="";
	detActual = '<%=resCM.getString("cmRelGastos")%>';
	//rutaCabecera = "<a style='text-decoration:none; font-size:8pt; color:yellow; font-family:verdana' href='" + urlIdioma + "'>\\<%= resCM.getString("cmLstAsigEntreFechas")%></a>";
	
 </SCRIPT>
 <%@ include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Pulsado.js"></script>


  
<p>
<table  width="100%" height="100%"  cellspacing="0" cellpadding="0" align="center">
 
	<tr valign="top" >
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		<td>&nbsp</td>
		<td width="98%">
 <FORM NAME="formSolicitud" METHOD="POST" action="m05bGastosTarjNuevoServlet" >
 			<!-- Calendarios -->		
           <%	String m05bCalendarEstilo = m05bFicheroProperties.getInstance().getParameter("m05bEstilos.Calendario");  %>
           <%=m05bCalendarEstilo%>
           <%	String m05bCalendarScripts = m05bFicheroProperties.getInstance().getParameter("m05bScripts.Calendario");  %>
           <%=m05bCalendarScripts%>
				<input type="hidden" name="accion" value="">
				<input type="hidden" name="Matricula" value="">
				<input type="hidden" name="KmActuales" value="">
				<input type="hidden" name="FKmActuales" value="">
				<input type="hidden" name="Situacion" value="">
				<input type="hidden" name="Rango" value="">
				<!-- input type="hidden" name="NConceptos" value=""-->
				<!-- input type="hidden" name="Conceptos" value=""-->
				<input type="hidden" name="NRegistros" value="">
				<input type="hidden" name="CCMatricula" value="">
				<input type="hidden" name="MatriculaAnt" value="">
				<input type="hidden" name="CCMatriculaAnt" value="">

				   <div style="height: 30px; width: 730px;" align="center">
				   			<input type="hidden" name="ImporteAux" value=""> 
			                <input type="hidden" name="KmAux" value=""> 
			                <input type="hidden" name="LitrosAux" value=""> 
			                <input type="hidden" name="FechaAux" value=""> 
			                <input type="hidden" name="HoraAux" value=""> 			                			                
			                <input type="hidden" name="NumRegistros" value="0"> 			   			                
        		   	<table width="100%" border="0">
				    <tr>
				     <td>
			  		  <TABLE class="general" >
  		   		       <tr>
    		            <td   width="35%" class="inputFieldTitle" ><%= res.getString("etMatricula")%> </td>
    		            <td  class="inputFieldTitle" colspan="2"><%= res.getString("etFKmActuales")%></td>
    		            <td  class="inputFieldTitle"><%= res.getString("etKmActuales")%></td>
                       </tr>
		   		       <tr>
				        <td align="left" valign="top">
			  			  <select style="vertical-align=top" class=inputField  NAME="CMatricula"   onKeypress="buscar_op(this,this)" onblur="javascript: fncRecogerSelect(this.options[this.selectedIndex].value); borrar_buffer(); " onclick="borrar_buffer()">
				    	     <option value=""> </option>	
						                <%//=miCombo.ComMatricula(m05bConstantes.VEH_TODOS,"")%>
						                <%=miCombo.popComboGastos(m05bConstantes.COL_34_MATRICULA+"||'@'||"+m05bConstantes.COL_34_SITUACION+"||'@'||"+m05bConstantes.COL_34_KMACTUALES+"||'@'||TO_CHAR("+m05bConstantes.COL_34_FKMACT+",'"+formatoFecha+"')"+"||'@'||"+m05bConstantes.COL_34_RANGO,m05bConstantes.COL_34_MATRICULA,m05bConstantes.TAB_VEHICULOS,"","","")%>
				     	  </select>
				        </td>
                        <td align="left" colspan="2"><INPUT class="inputField"  TYPE="TEXT" NAME="FKmA" VALUE="" size="10" maxlength="9" readonly /></td>
                        <td align="left"><INPUT class="inputField"  TYPE="TEXT" NAME="KmA" VALUE="" size="8" maxlength="7" readonly/></td>
					   </tr>
 					  </table>
                      </td>
                     </tr>
					 <tr>
					  <td>
					  	<table class="general" >
					  	 <tr>
			               <%
		try {			               
			                // m05bConexion miConexion = new m05bConexion();
			                 //conexion = miConexion.getConnection();
			                 //pstmtConceptos = conexion.createStatement();
					         //rsConceptos = pstmtConceptos.executeQuery(sql2.toString());
					         //int i=1;
					         //String sConcepto="";
				              //while (rsConceptos.next() == true)  {  
			  	                //sConcepto=rsConceptos.getString(1);
		   	               
		   	                   //if (!(rsConceptos.getString(2).equals("P"))){
		   	                  //%>
	                           <!-- >td class="inputField" width="15%" align="left"--><!-- input type="checkbox" name="chkBoxG" value="<%//=sConcepto%>" class="inputField" <%//if(a.contains(sConcepto)){%>checked<%//}%>><%//=sConcepto%><input cLASS="listCellHidden" type="checkbox" name="chkBoxGI" value="<%//=rsConceptos.getString(2)%>"/--><!--  /td-->
	                           	<%//}else{%>
                               <!-- tdclass="inputField" width="15%" align="left"--><!-- input type="checkbox" name="chkBoxG" value="<%//=sConcepto%>" class="inputField" > <%//=sConcepto%><input cLASS="listCellHidden" type="checkbox" name="chkBoxGI" value="<%//=rsConceptos.getString(2)%>"/--><!-- /td-->	                           	
	                          <%//} %>
	                          <%//i++;}%>
	                          <script>
	                             //document.formSolicitud.NConceptos.value="<%//=i-1%>";
	                          </script>

			  	              <%//if 	(sExisteMatricula.equals("1")){%>
							  

				              <%// } if ((rsGastos.next() == true) && (sExisteMatricula.equals("1"))) {  
				          	  		 %>
					   	      <% // } %>

			  	           </tr>
			  	       </TABLE>
			          </td>
			          </Tr>	
			  	      <tr>
			  	       <td>
			  	        <TABLE >	
				          <tr>
						   <td width="35%" class="grupoAsignacion" align="left">

								      <input type="RADIO" class="inputField" NAME="Tipo" CHECKED VALUE="T" width="40%"  border='0' /><FONT Face="verdana" size="2"><%= res.getString("etTodos")%></FONT>
								      <input type="RADIO" class="inputField" NAME="Tipo"  VALUE="NV" width="40%"  border='0' /><FONT Face="verdana" size="2"><%= res.getString("etNoVerificados")%></FONT>

				           </td>
						   <td width="5%">	</td>		          	  
						   <td width="35%" class="grupoAsignacion" align="left">

								      <input type="RADIO" class="inputField" NAME="Orden" VALUE="ASC" width="40%" border='0' /><FONT Face="verdana" size="2"><%= res.getString("etFAsc")%></FONT>
								      <input type="RADIO" class="inputField" NAME="Orden" CHECKED VALUE="DESC" width="40%"   border='0'/><FONT Face="verdana" size="2"><%= res.getString("etFDesc")%></FONT>

						   </td>
						   	<td width="5%">	</td>		        
						   	<td width="30%" align="right"  >
						   	 <INPUT type="button" class="botonAsig" name="<%= res.getString("etBOT_BUSCAR")%>" value="<%= res.getString("etBOT_BUSCAR")%>" ONCLICK="JavaScript:anadirGastos();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSBUSCAR")%>'; return false;" onMouseOut="top.status=''; return false;" />
				          <!--td align="right" width="10%"> <INPUT TYPE="IMAGE" VALUE="Nuevo" ONCLICK="JavaScript:fncNuevo();"  src="/parquemovil/images/nuevo.gif"/> </td-->
				          	</td>			
					      </tr>
			            </TABLE>
			           </td>
			          </tr>
                      </TABLE>
			         </div>

 		<div id="capaGastosHtml" style="{overflow: scroll; clip:  rect(   ); height: 290px; width: 736px; border: thin #336699 solid}" align="center">
		</div>
 		<div id="capaFondo" style="visibility:hidden;position:absolute;padding:0px;left:0px;top:0px;right:0px;bottom:0px;background-image:url(/teae/images/blank.gif);background-repeat:repeat;width:100%;height:100%;">
		</div>


			  <div align="center">
			  
			  	   		      <INPUT type="button" class="botonAsig" name="<%= res.getString("etBOT_NUEVO")%>" value="<%= res.getString("etBOT_NUEVO")%>" ONCLICK="JavaScript:document.formSolicitud.CCMatriculaAnt.value=document.formSolicitud.CCMatricula.value;document.formSolicitud.MatriculaAnt.value=document.formSolicitud.Matricula.value;anadirGastosNuevo();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSNUEVO")%>'; return false" onMouseOut="top.status=''; return false" />
	   		                  <INPUT type="button" class="botonAsig" name="<%= res.getString("etBOT_GRABAR")%>" value="<%= res.getString("etBOT_GRABAR")%>" ONCLICK="JavaScript:fncCambiarMatricula();if (fncGrabar()){ enviarDatos();} return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSGRABAR")%>'; return false" onMouseOut="top.status=''; return false" />
	   		                  
	   </div>
		
		</td>
	   </tr>		





					  <%} catch (Exception ex){
						   miLog.addTraza(ex);
					  } finally {
							//if (rsConceptos != null)
								//rsConceptos.close();
							//if (pstmtConceptos != null)
								//pstmtConceptos.close();
							if (conexion != null)
								conexion.close();
					  }
					    %>	
					    

				    
	<tr>
			<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
	</tr>
		  </form>	
</table>

<SCRIPT language='javascript'>
    setTimeout('initSlide();', 1);
    var guardarRes = '<%=(request.getParameter("resultadoGuardar")==null)?"":request.getParameter("resultadoGuardar")%>';
    var CCMatricula='<%=(request.getParameter("CCMatricula")==null)?"":request.getParameter("CCMatricula")%>';
    var sTipo='<%=(request.getParameter("Tipo")==null)?"":request.getParameter("Tipo")%>';
    var sOrden='<%=(request.getParameter("Orden")==null)?"":request.getParameter("Orden")%>';    
    //var sConceptos='<%//=(request.getParameter("Conceptos")==null)?"":request.getParameter("Conceptos")%>'; 
    //if (!(sConceptos=="")){
        //document.formSolicitud.NConceptos.value= sConceptos;     
    //}
     
    document.formSolicitud.CCMatricula.value=CCMatricula;
    if(guardarRes!=""){
    	cargaTabla(sTipo,sOrden);
  	    if(guardarRes=="OK"){	  	        	        	
		    alert(dameAlerta(idioma, 3));
		    	//deshabilitaPostGrabar();
		//}else if(guardarRes=="NOK"){	
               //document.formSolicitud.CMatricula.selectedIndex=document.formSolicitud.CCMatricula.value; 
               //document.formSolicitud.CMatricula.focus();
               //document.formSolicitud.CMatricula.options[document.formSolicitud.CCMatricula.value].selected=true;
               //fncRecogerSelect(document.formSolicitud.CMatricula.options[document.formSolicitud.CMatricula.selectedIndex].value);

		//anadirGastos();
		//alert(dameAlerta(idioma, 3));/*
		//}else if(guardarRes=="NER"){			
		    //alert(dameAlerta(idioma, 112));
	    }else{
	   		alert(dameAlerta(idioma, 115));
	   	}
	}
function fncCambiarMatricula(){
                if (document.formSolicitud.CCMatriculaAnt.value!='')  {
                   document.formSolicitud.CCMatricula.value=document.formSolicitud.CCMatriculaAnt.value; ; 
                   document.formSolicitud.CMatricula.selectedIndex=document.formSolicitud.CCMatricula.value; 
                   document.formSolicitud.CMatricula.focus();
                   document.formSolicitud.CMatricula.options[document.formSolicitud.CCMatricula.value].selected=true;
                   fncRecogerSelect(document.formSolicitud.CMatricula.options[document.formSolicitud.CMatricula.selectedIndex].value);
                }
}
		    function fncGrabar()  {
			    var i,j=0, bGrabar="1";
				var actual, gasto, km, litros, verif, fecha,hora;
		        var datosBD="";
		        var docu=document.formSolicitud;
		        var cont = docu.numeroTotReg.value;
		        ++cont;
     	        for (i=0;( (i < cont) && (bGrabar == "1") );i++){
		            actual=document.all("chGrabar"+i);
    	            if ( (actual != null) && (actual.checked==true) ) {
		            	//Codigo gasto
  	
		            		fecha=document.all("Fecha"+i).value;
		            		if (esVacio(fecha)){alert(dameAlerta(idioma, 0));document.all("Fecha"+i).focus();return false;}
		            		else {
		            		 hora=document.all("Hora"+i).value;
		            		 if(esVacio(hora)){alert(dameAlerta(idioma, 0));document.all("Hora"+i).focus();return false;}
		            		 else{
		            		 	km=document.all("Km"+i).value;
		            		    if(esVacio(km)){alert(dameAlerta(idioma, 0));document.all("Km"+i).focus();return false;}
		            		}  }
		            }
		       }
		       return true;
		   }
		            		 
		            		 
		            		
		            			          



</SCRIPT> 


			
  </body>
</html>
